#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sys
%define		pnam	Hostname-FQDN
Summary:	Sys::Hostname::FQDN - extract full host name
Summary(pl.UTF-8):	Sys::Hostname::FQDN - uzyskiwanie pełnej nazwy hosta
Name:		perl-Sys-Hostname-FQDN
Version:	0.11
Release:	7
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a2a25b4ab650ec522f0e8c0527fdf8e5
URL:		http://search.cpan.org/dist/Sys-Hostname-FQDN/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sys::Hostname::FQDN uses the host C library to discover the (usually)
short host name, then uses (perl) gethostbyname to extract the real
hostname.

The results from gethostbyname are exported as gethostinfo and
asciihostinfo as a convenience since they are available. Similarly,
the C library functions inet_ntoa and inet_aton are exported.

%description -l pl.UTF-8
Sys::Hostname::FQDN używa biblioteki C do uzyskania (zwykle) krótkiej
nazwy hosta, a następnie używa (perlowej) funkcji gethostbyname aby
uzyskać prawdziwą nazwę hosta.

Wyniki z gethostbyname są dla wygody eksportowane jako gethostinfo i
asciihostinfo, ponieważ są dostępne. Podobnie są wyeksportowane
funkcje biblioteki C inet_ntoa i inet_aton.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Sys/Hostname/FQDN/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Sys/Hostname
%{perl_vendorarch}/Sys/Hostname/FQDN.pm
%dir %{perl_vendorarch}/auto/Sys/Hostname
%dir %{perl_vendorarch}/auto/Sys/Hostname/FQDN
%attr(755,root,root) %{perl_vendorarch}/auto/Sys/Hostname/FQDN/FQDN.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sys-Hostname-FQDN.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 90e1ebd
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> fb4e574
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 50a84d5
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b4d9b1a
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8b79838
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7e2dc91
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3f55528
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 600ffef
- up to 0.11

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c936299
- release 2

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> 9a0f042
- updated to 0.10

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 2604fc4
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 313636a
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 1118d35
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 72624df
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a075ea6
- converted to UTF-8

* Wed Feb 08 2006 Elan Ruusamäe <glen@pld-linux.org> bd553d1
- ah, what the hell, rel 1, STBR

* Wed Feb 08 2006 Elan Ruusamäe <glen@pld-linux.org> 7248b39
- fixed files: .bs needed in some cases, autosplit? no such file

* Mon Nov 15 2004 paladine <paladine@pld-linux.org> 00f9278
- updated to 0.07

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5a72e02
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> dc82c94
- updated to 0.06

